### Constructor

# Ide TerminalLauncher new_for_runtime

#### Declaration

    IdeTerminalLauncher*
    ide_terminal_launcher_new_for_runtime (
      IdeRuntime* runtime
    )

#### Description

Create a new `IdeTerminalLauncher` that will spawn a terminal in the runtime.

#### Parameters

`runtime` | `IdeRuntime`
| An `IdeRuntime`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTerminalLauncher`
| A newly created `IdeTerminalLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.